Subject: Re: DSO/DLL Apache Using Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Fri, 16 Mar 2001 19:07:48 +0100

Stipe Tolj schrieb:

Hi Stipe,

> we are supporting the Apache ports for Cygwin. Attached is the latest
> patch for 1.3.19 which is capable of DLL creation. Use
> 
>     $ ./configure --enable-rule=SHARED_CORE
> 
> for building the DLL version of httpd.

Hmmm, i'm glad that you made this patch.
But i can't run apache.
At first, httpd.exe is not copied by install, because its name is httpd.exe.
I copied it manually.

$ /usr/local/apache/bin/apachectl start
/usr/local/apache/bin/httpd: not found
/usr/local/apache/bin/apachectl start: httpd could not be started

At second, libhttpd.dll isn't found in the libexec subdir, httpd or cygwin
expects it in the same dir as httpd.exe, or somewhere in the path.

administrator@ISMENE /src/apache/apache_1.3.19
$ /usr/local/apache/bin/apachectl start
/usr/local/apache/bin/apachectl start: httpd could not be started

After moving it to its .exe, The server tries to start, but i am nobody. 

administrator@ISMENE /src/apache/apache_1.3.19
$ /usr/local/apache/bin/apachectl start
httpd: bad user name nobody
/usr/local/apache/bin/apachectl start: httpd could not be started

I renamed nobody to my cygwin user name: administrator, i got stackdump:

administrator@ISMENE /src/apache/apache_1.3.19
$ /usr/local/apache/bin/apachectl start
      0 [main] httpd 350 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
  10987 [main] httpd 350 stackdump: Dumping stack trace to httpd.exe.stackdump
Signal 11
/usr/local/apache/bin/apachectl start: httpd could not be started

I suggest this is not the 'normal' behaviour.
I'll try again with 'absolut' dafault setup and report here.

Gerrit

-- 
[email-masked]
KeyID: 0xC8C9D69A = 57C8 1B1D CFE4 8515 AA3E  4499 A326 0F3C C8C9 D69A

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple